<?php
    
    include('koneksi.php');
    
    //menginisiasi variabel-variabel yang dikirimkan dari form-->input name
    //fix problem : undefined index...
    if( isset($_POST['name'])        &&
        isset($_POST['address'])     &&
        isset($_POST['phone'])       &&
        isset($_POST['email'])    &&
        isset($_POST['username'])    &&
        isset($_POST['password'])  &&
        isset($_POST['repass'])   
      )
    {
        $nama         = $_POST['name'];
        $address      = $_POST['address'];
        $hp           = $_POST['phone'];
        $email          = $_POST['email'];
        $uname        = $_POST['username'];
        $pass         = $_POST['password'];
        $repass       = $_POST['repass'];
    }else{
        //otomatis mengalihkan ke halaman pendaftaran jika terjadi undefined index
        header("location:form_daftar.php");
    }
        //jika user telah memasukkan semua data yang dibutuhkan, koreksi kata sandi
        if($pass == $repass){
            //mengambil informasi dari nama tabel "member" pada kolom "nama"
            $ambilDataSql     = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM member WHERE username = '$uname'");
            //mengambil informasi dari seluruh kolom nama
            $cek_username = mysqli_num_rows($ambilDataSql);
            $ambilDataMember     = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM member");
            $countData = mysqli_num_rows($ambilDataMember);
            //mengecek ketersediaan identitas
            if($cek_username == 0){//jika nama  tidak ditemukan/belum terdaftar
                //lakukan penambahan data
                $id = $countData +1;
                echo("<script> alert('Pendaftaran berhasil')</script>");
                 echo "<meta http-equiv='refresh' content='1 url=form_daftar.php'>";
            }else{
                echo("<script> alert('Username sudah terdaftar , silahkan ganti username anda')</script>");
                echo "<meta http-equiv='refresh' content='1 url=form_daftar.php'>";
            }
        }else{
            //jika kata sandi tidak sama
            echo("<script> alert('katasandi tidak sama')</script>");
            echo "<meta http-equiv='refresh' content='1 url=form_daftar.php'>";
        }

?>